Subject: Re: bug#60559: 29.0.60; "Cannot activate tree-sitter" spam

From: Ihor Radchenko <[email-masked]>
Date: Thu, 05 Jan 2023 08:40:33 +0000

Eli Zaretskii <[email-masked]> writes:

>> Auto-completion.
>> 
>> 1. emacs -Q
>> 2. M-: (featurep 'go-ts-mode)  ; => nil
>> 3. <F1> f go-ts- <TAB> mode <RET>
>> 4. M-:  (featurep 'go-ts-mode)  ; => t
>
> I cannot reproduce this with toml-ts-mode on the emacs-29 branch.
> go-ts-mode is still the default for Go files, but toml-ts-mode is not
> the default for TOML files.

I just checked, and I cannot reproduce on emacs-29 branch with both
go-ts-mode and toml-ts-mode. <TAB> in (3) simply don't trigger
completion (and thus no auto-loading). Presumably because auto-loading
on completion is not yet available.

The above steps only work on master.

-- 
Ihor Radchenko // yantar92,
Org mode contributor,
Learn more about Org mode at <https://orgmode.org/>.
Support Org development at <https://liberapay.com/org-mode>,
or support my work at <https://liberapay.com/yantar92>